Get Contact Campaigns
curl --request GET \
--url https://api.ravan.ai/api/v1/contacts/{id}/campaigns \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ravan.ai/api/v1/contacts/{id}/campaigns"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ravan.ai/api/v1/contacts/{id}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"agent_id": "<string>",
"phone_number_id": "<string>",
"from_phone_number": "<string>",
"status": "<string>",
"execution_status": "<string>",
"schedule": {
"start": "<string>",
"end": "<string>",
"window_start": "<string>",
"window_end": "<string>",
"window_days": [
123
],
"timezone": "<string>",
"max_concurrent": 123,
"retry_attempts": 123,
"retry_gap_min": 123
},
"contact_stats": {
"total": 123,
"contacted": 123,
"successful": 123,
"failed": 123,
"no_answer": 123,
"pending": 123,
"in_progress": 123
},
"started_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Contact API
Get Contact Campaigns
Get Contact Campaigns.
GET
/
api
/
v1
/
contacts
/
{id}
/
campaigns
Get Contact Campaigns
Authorizations
string
required
Your Agni API key used to authenticate the request. Pass it in the
X-Api-Key header. Find or rotate it from your Ravan AI account settings.Path Parameters
string
required
The unique ID of the resource in the path. Use the ID returned by the related create or list endpoint.
Response
boolean
Whether the request succeeded.
string
Human-readable status message.
array
Array of campaign objects.
⌘I

